Package org.drinkless.tdlib

# Class TdApi.SavePreparedInlineMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.PreparedInlineMessageId>
org.drinkless.tdlib.TdApi.SavePreparedInlineMessage

Enclosing class:
  `TdApi`

public static class TdApi.SavePreparedInlineMessage extends TdApi.Function<TdApi.PreparedInlineMessageId>
Saves an inline message to be sent by the given user; for bots only.

Returns `PreparedInlineMessageId`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.TargetChatTypes`
  `chatTypes`
  Types of the chats to which the message can be sent.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputInlineQueryResult`
  `result`
  The description of the message.
  `long`
  `userId`
  Identifier of the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SavePreparedInlineMessage()`
  Default constructor for a function, which saves an inline message to be sent by the given user; for bots only.
  `SavePreparedInlineMessage(long userId, TdApi.InputInlineQueryResult result, TdApi.TargetChatTypes chatTypes)`
  Creates a function, which saves an inline message to be sent by the given user; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    Identifier of the user.

  - ### result

    public TdApi.InputInlineQueryResult result
    The description of the message.

  - ### chatTypes

    public TdApi.TargetChatTypes chatTypes
    Types of the chats to which the message can be sent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SavePreparedInlineMessage

    public SavePreparedInlineMessage()
    Default constructor for a function, which saves an inline message to be sent by the given user; for bots only.

    Returns `PreparedInlineMessageId`

  - ### SavePreparedInlineMessage

    public SavePreparedInlineMessage(long userId, TdApi.InputInlineQueryResult result, TdApi.TargetChatTypes chatTypes)
    Creates a function, which saves an inline message to be sent by the given user; for bots only.

    Returns `PreparedInlineMessageId`

    Parameters:
      `userId` - Identifier of the user.
      `result` - The description of the message.
      `chatTypes` - Types of the chats to which the message can be sent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.PreparedInlineMessageId>`
    Returns:
      this.CONSTRUCTOR